<?php include "header.php"; ?>
<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Monitoring Air - ApexCharts</title>
    <script src="https://cdn.jsdelivr.net/npm/apexcharts"></script>
    <style>
        body {
            font-family: 'Segoe UI', sans-serif;
            padding: 20px;
            background: #f3f4f6;
        }
        #chart {
            max-width: 800px;
            margin: auto;
            background: #fff;
            padding: 20px;
            border-radius: 12px;
            box-shadow: 0 8px 16px rgba(0,0,0,0.05);
        }
    </style>
</head>
<body>
    <div id="chart"></div>

    <script>
        const options = {
            chart: {
                type: 'line',
                height: 400,
                animations: {
                    enabled: true,
                    easing: 'easeinout',
                    speed: 800
                }
            },
            series: [{
                name: 'Tinggi Air (cm)',
                data: [<?php
                    include "koneksi.php";
                    $sql = "SELECT * FROM tbl_banyu ORDER BY nomor DESC LIMIT 10";
                    $result = $conn->query($sql);
                    if ($result->num_rows > 0) {
                        while($row = $result->fetch_assoc()) {
                            echo $row['tinggi_dasar'].",";
                        }
                    }
                ?>].reverse()
            }],
            xaxis: {
                categories: [<?php
                    $sql2 = "SELECT * FROM tbl_banyu ORDER BY nomor DESC LIMIT 10";
                    $result2 = $conn->query($sql2);
                    if ($result2->num_rows > 0) {
                        while($row2 = $result2->fetch_assoc()) {
                            echo "'".$row2['nomor']."',";
                        }
                    }
                ?>].reverse(),
                title: { text: 'ID Data' }
            },
            yaxis: {
                title: { text: 'Ketinggian Air (cm)' },
                min: 0
            },
            tooltip: {
                y: {
                    formatter: val => val + " cm"
                }
            }
        };

        const chart = new ApexCharts(document.querySelector("#chart"), options);
        chart.render();

        setTimeout(() => location.reload(), 5000);
    </script>
</body>
</html>
<?php include "footer.php"; ?>
