<!DOCTYPE html>
<html lang="id">
<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
  <title>Dashboard Monitoring 💻</title>
  <script src="https://cdn.tailwindcss.com"></script>
  <script>

    tailwind.config = {
      darkMode: 'class',
    }
  </script>
  <style>
    .glass {
      background: rgba(255, 255, 255, 0.1);
      backdrop-filter: blur(12px);
      border: 1px solid rgba(255, 255, 255, 0.2);
    }
  </style>
</head>
<body class="bg-gradient-to-br from-gray-900 to-gray-800 text-white min-h-screen">

  <!-- Sidebar -->
  <div class="fixed top-0 left-0 h-full w-48 glass p-4">
    <h2 class="text-xl font-bold mb-6">Monitoring Ketinggian Air💻</h2>
    <ul class="space-y-4">
      <li><a href="#" class="hover:underline">Dashboard</a></li>
      <li><a href="#" class="hover:underline">Server</a></li>
      <li><a href="#" class="hover:underline">Pengguna</a></li>
    </ul>
    <button id="toggleDark" class="mt-10 bg-white text-black px-3 py-1 rounded">Mode 🌙/☀️</button>
  </div>

  <!-- Main Content -->
  <div class="ml-52 p-6">
    <div class="flex justify-between items-center mb-6">
      <h1 class="text-2xl font-bold">Selamat Datang 👋</h1>
      <span id="time" class="text-sm opacity-80"></span>
    </div>

   <!-- Cards -->
<div class="grid grid-cols-1 md:grid-cols-3 gap-6 mb-6">

<!-- Card Link 1 -->
<a href="grafik.php" class="glass block p-6 rounded-2xl shadow-md hover:shadow-lg transition duration-300">
  <h3 class="text-xl font-semibold mb-2 text-blue-400">Grafik</h3>
  <p class="text-white/80">Grafik Ketinggian Air.</p>
</a>

<!-- Card Link 2 -->
<a href="table2.php" class="glass block p-6 rounded-2xl shadow-md hover:shadow-lg transition duration-300">
  <h3 class="text-xl font-semibold mb-2 text-green-400">Tabel</h3>
  <p class="text-white/80">Tabel Ketinggian Air.</p>
</a>

<!-- Server Status -->
<div class="glass p-6 rounded-2xl shadow-md">
  <h2 class="text-xl font-semibold mb-2 text-purple-400">Status Server</h2>
  <p class="text-green-400 font-bold">Online</p>
</div>

</div>



  </div>

  <script>
    // Jam Real Time
    setInterval(() => {
      const now = new Date();
      const jam = now.getHours().toString().padStart(2, '0');
      const menit = now.getMinutes().toString().padStart(2, '0');
      const detik = now.getSeconds().toString().padStart(2, '0');
      document.getElementById('time').textContent = `${jam}:${menit}:${detik}`;
    }, 1000);

    // Toggle Dark Mode
    const toggleBtn = document.getElementById('toggleDark');
    toggleBtn.addEventListener('click', () => {
      document.documentElement.classList.toggle('dark');
    });
    
  </script>
</body>
</html>
