<?php include "header.php"; ?>

<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Monitoring Ketinggian Air - Tabel</title>
    <link href="https://fonts.googleapis.com/css2?family=Urbanist:wght@400;600&display=swap" rel="stylesheet">
    <style>
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: 'Urbanist', sans-serif;
        }

        body {
            background-color: #f0fdf4;
            padding: 40px 20px;
            color: #1e3a1c;
        }

        h2, h4 {
            text-align: center;
            margin-bottom: 10px;
        }

        .table-container {
            max-width: 800px;
            margin: 40px auto;
            background: white;
            border-radius: 12px;
            overflow: hidden;
            box-shadow: 0 8px 24px rgba(0, 0, 0, 0.1);
        }

        table {
            width: 100%;
            border-collapse: collapse;
        }

        thead {
            background-color: #22c55e; /* Hijau terang */
        }

        th, td {
            padding: 16px 12px;
            text-align: center;
            font-size: 15px;
        }

        th {
            color: #ffffff;
            font-weight: 600;
        }

        td {
            color: #14532d;
        }

        tbody tr:nth-child(odd) {
            background-color: #dcfce7;
        }

        tbody tr:nth-child(even) {
            background-color: #bbf7d0;
        }

        tbody tr:hover {
            background-color: #86efac;
            color: #065f46;
            transition: 0.3s;
        }

        @media (max-width: 600px) {
            th, td {
                font-size: 13px;
                padding: 12px 8px;
            }
        }
    </style>
</head>
<body>
    <h2>Monitoring Ketinggian Air</h2>
    <h4>Source: ESP8266 Wemos D1 Mini</h4>

    <div class="table-container">
        <table>
            <thead>
                <tr>
                    <th>No</th>
                    <th>Ketinggian Banyu (cm)</th>
                </tr>
            </thead>
            <tbody>
                <?php
                include "koneksi.php";
                $sql = "SELECT * FROM tbl_banyu ORDER BY nomor DESC LIMIT 10";
                $result = $conn->query($sql);
                if ($result->num_rows > 0) {
                    $no = 1;
                    while($row = $result->fetch_assoc()) {
                        echo "<tr>
                                <td>".$no++."</td>
                                <td>".$row['tinggi_banyu']."</td>
                              </tr>";
                    }
                } else {
                    echo "<tr><td colspan='2'>Data tidak tersedia</td></tr>";
                }
                ?>
            </tbody>
        </table>
    </div>

    <script>
        setTimeout(function() {
            location.reload(); // refresh otomatis
        }, 5000);
    </script>
</body>
</html>

<?php include "footer.php"; ?>